Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javacard.framework
Class ISOException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  javacard.framework.CardRuntimeException
                      javacard.framework.ISOException

All Implemented Interfaces:
  Serializable

    public class ISOException

extends CardRuntimeException

`ISOException` class encapsulates an ISO 7816-4 response status word as its `reason` code.

The `APDU` class throws Java Card runtime environment-owned instances of `ISOException`.

Java Card runtime environment-owned instances of exception classes are temporary Java Card runtime environment Entry Point Objects and can be accessed from any applet context. References to these temporary objects cannot be stored in class variables or instance variables or array components. See Runtime Environment Specification for the Java Card Platform, section 6.2.1 for details.

See Also:
  Serialized Form

Constructor Summary
`ISOException(short sw)` Constructs an ISOException instance with the specified status word.

Method Summary
`static void` | `throwIt(short sw)` Throws the Java Card runtime environment-owned instance of the ISOException class with the specified status word.

Methods inherited from class javacard.framework.CardRuntimeException
`getReason, setReason`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ISOException

    public ISOException(short sw)

  Constructs an ISOException instance with the specified status word. To conserve on resources use `throwIt()` to employ the Java Card runtime environment-owned instance of this class.

  Parameters:
    `sw` - the ISO 7816-4 defined status word

Method Detail

### throwIt

    public static void throwIt(short sw)
                        throws ISOException

  Throws the Java Card runtime environment-owned instance of the ISOException class with the specified status word.

  Java Card runtime environment-owned instances of exception classes are temporary Java Card runtime environment Entry Point Objects and can be accessed from any applet context. References to these temporary objects cannot be stored in class variables or instance variables or array components. See Runtime Environment Specification for the Java Card Platform, section 6.2.1 for details.

  Parameters:
    `sw` - the ISO 7816-4 defined status word
  Throws:
    `ISOException` - always

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD